/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_VALUE_ADJ_SPILL_SKEL_H__
#define __VERIFIER_VALUE_ADJ_SPILL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_value_adj_spill {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_hash_48b;
	} maps;
	struct {
		struct bpf_program *is_preserved_across_register_spilling;
		struct bpf_program *is_marked_on_register_spilling;
	} progs;
	struct {
		struct bpf_link *is_preserved_across_register_spilling;
		struct bpf_link *is_marked_on_register_spilling;
	} links;

#ifdef __cplusplus
	static inline struct verifier_value_adj_spill *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_value_adj_spill *open_and_load();
	static inline int load(struct verifier_value_adj_spill *skel);
	static inline int attach(struct verifier_value_adj_spill *skel);
	static inline void detach(struct verifier_value_adj_spill *skel);
	static inline void destroy(struct verifier_value_adj_spill *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_value_adj_spill__destroy(struct verifier_value_adj_spill *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_value_adj_spill__create_skeleton(struct verifier_value_adj_spill *obj);

static inline struct verifier_value_adj_spill *
verifier_value_adj_spill__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_value_adj_spill *obj;
	int err;

	obj = (struct verifier_value_adj_spill *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_value_adj_spill__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_value_adj_spill__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_value_adj_spill *
verifier_value_adj_spill__open(void)
{
	return verifier_value_adj_spill__open_opts(NULL);
}

static inline int
verifier_value_adj_spill__load(struct verifier_value_adj_spill *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_value_adj_spill *
verifier_value_adj_spill__open_and_load(void)
{
	struct verifier_value_adj_spill *obj;
	int err;

	obj = verifier_value_adj_spill__open();
	if (!obj)
		return NULL;
	err = verifier_value_adj_spill__load(obj);
	if (err) {
		verifier_value_adj_spill__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_value_adj_spill__attach(struct verifier_value_adj_spill *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_value_adj_spill__detach(struct verifier_value_adj_spill *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_value_adj_spill__elf_bytes(size_t *sz);

static inline int
verifier_value_adj_spill__create_skeleton(struct verifier_value_adj_spill *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_value_adj_spill";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map_hash_48b";
	s->maps[0].map = &obj->maps.map_hash_48b;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "is_preserved_across_register_spilling";
	s->progs[0].prog = &obj->progs.is_preserved_across_register_spilling;
	s->progs[0].link = &obj->links.is_preserved_across_register_spilling;

	s->progs[1].name = "is_marked_on_register_spilling";
	s->progs[1].prog = &obj->progs.is_marked_on_register_spilling;
	s->progs[1].link = &obj->links.is_marked_on_register_spilling;

	s->data = (void *)verifier_value_adj_spill__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_value_adj_spill__elf_bytes(size_t *sz)
{
	*sz = 2744;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x78\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\x63\
\x6b\x65\x74\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\
\x69\x66\x69\x65\x72\x5f\x76\x61\x6c\x75\x65\x5f\x61\x64\x6a\x5f\x73\x70\x69\
\x6c\x6c\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\x69\x73\x5f\x70\x72\x65\
\x73\x65\x72\x76\x65\x64\x5f\x61\x63\x72\x6f\x73\x73\x5f\x72\x65\x67\x69\x73\
\x74\x65\x72\x5f\x73\x70\x69\x6c\x6c\x69\x6e\x67\0\x6d\x61\x70\x5f\x68\x61\x73\
\x68\x5f\x34\x38\x62\0\x69\x73\x5f\x6d\x61\x72\x6b\x65\x64\x5f\x6f\x6e\x5f\x72\
\x65\x67\x69\x73\x74\x65\x72\x5f\x73\x70\x69\x6c\x6c\x69\x6e\x67\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x26\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x03\0\0\0\0\0\0\0\
\x80\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\x03\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\
\0\x4b\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\x71\x11\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x7e\x12\0\0\x03\0\0\0\0\0\0\0\x88\0\0\0\0\
\0\0\0\x78\0\0\0\x9d\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xbf\x2a\0\0\
\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\xb7\x10\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x08\0\0\0\0\
\xb7\x10\0\0\0\0\0\x2a\x7b\x01\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\
\xff\xff\x48\x7b\x10\0\0\0\0\0\0\x79\x31\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x2a\x7b\
\x31\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\
\xf8\xb7\x10\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\x01\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\x68\x7b\x10\
\0\0\0\0\0\0\x15\0\0\x03\0\0\0\0\x79\x31\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x2a\x7b\
\x31\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x06\0\0\0\
\x01\0\0\0\0\0\0\0\xa8\0\0\0\x06\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\
\x02\x30\0\0\x02\x30\0\0\x02\xa1\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\
\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\
\x19\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\x23\x04\
\0\0\x02\0\0\0\x30\0\0\0\x2c\0\0\0\x09\0\0\0\0\0\0\0\x32\0\0\0\x0a\0\0\0\x20\0\
\0\0\x36\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x0b\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x43\0\0\0\x01\0\0\0\0\0\0\
\0\x48\0\0\0\x01\0\0\0\x40\0\0\0\x54\0\0\0\x05\0\0\0\x80\0\0\0\x58\0\0\0\x07\0\
\0\0\xc0\0\0\0\x5e\x0e\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\
\0\x6b\x0c\0\0\x01\0\0\0\x0d\0\0\0\x91\x11\0\0\0\0\0\0\x0e\xff\xff\xff\xff\0\0\
\0\xe2\x11\0\0\0\0\0\0\x0e\xff\xff\xff\xff\0\0\0\xfe\x11\0\0\0\0\0\0\x0e\xff\
\xff\xff\xff\0\0\x01\x21\x11\0\0\0\0\0\0\x0e\xff\xff\xff\xff\0\0\x01\x4e\x11\0\
\0\0\0\0\0\x0e\xff\xff\xff\xff\0\0\x01\x64\x0c\0\0\x01\0\0\0\x0d\0\0\x01\x83\
\x11\0\0\0\0\0\0\x14\xff\xff\xff\xff\0\0\0\xe2\x11\0\0\0\0\0\0\x14\xff\xff\xff\
\xff\0\0\0\xfe\x11\0\0\0\0\0\0\x14\xff\xff\xff\xff\0\0\x01\x21\x11\0\0\0\0\0\0\
\x14\xff\xff\xff\xff\0\0\x01\x4e\x11\0\0\0\0\0\0\x14\xff\xff\xff\xff\0\0\x01\
\xd5\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\
\x04\0\0\0\x04\0\0\x01\xda\x0e\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\x02\x8c\x0f\0\0\
\x01\0\0\0\x20\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\x02\x92\x0f\0\0\x01\0\0\0\x04\0\
\0\0\x1c\0\0\0\0\0\0\0\x04\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\
\0\x74\x65\x73\x74\x5f\x76\x61\x6c\0\x69\x6e\x64\x65\x78\0\x66\x6f\x6f\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\x6d\x61\x78\
\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\
\x70\x5f\x68\x61\x73\x68\x5f\x34\x38\x62\0\x69\x73\x5f\x70\x72\x65\x73\x65\x72\
\x76\x65\x64\x5f\x61\x63\x72\x6f\x73\x73\x5f\x72\x65\x67\x69\x73\x74\x65\x72\
\x5f\x73\x70\x69\x6c\x6c\x69\x6e\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x70\x20\
\x65\x6c\x65\x6d\x65\x6e\x74\x20\x76\x61\x6c\x75\x65\x20\x69\x73\x20\x70\x72\
\x65\x73\x65\x72\x76\x65\x64\x20\x61\x63\x72\x6f\x73\x73\x20\x72\x65\x67\x69\
\x73\x74\x65\x72\x20\x73\x70\x69\x6c\x6c\x69\x6e\x67\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\
\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x52\x30\x20\x6c\x65\x61\x6b\x73\x20\
\x61\x64\x64\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\
\x74\x76\x61\x6c\x3d\x30\0\x69\x73\x5f\x6d\x61\x72\x6b\x65\x64\x5f\x6f\x6e\x5f\
\x72\x65\x67\x69\x73\x74\x65\x72\x5f\x73\x70\x69\x6c\x6c\x69\x6e\x67\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x6d\x61\x70\x20\x65\x6c\x65\x6d\x65\x6e\x74\x20\x76\x61\x6c\
\x75\x65\x20\x6f\x72\x20\x6e\x75\x6c\x6c\x20\x69\x73\x20\x6d\x61\x72\x6b\x65\
\x64\x20\x6f\x6e\x20\x72\x65\x67\x69\x73\x74\x65\x72\x20\x73\x70\x69\x6c\x6c\
\x69\x6e\x67\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x34\x32\x37\x2e\x32\
\x36\x2e\x31\x2e\x65\x6c\x39\x5f\x34\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x34\x32\x37\x2e\x32\x36\x2e\x31\x2e\x65\x6c\x39\x5f\x34\x2e\
\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x76\x61\x6c\x75\x65\x5f\x61\x64\
\x6a\x5f\x73\x70\x69\x6c\x6c\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\
\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x2e\x6d\x61\x70\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\0\0\0\0\0\0\0\xeb\x9f\x01\
\0\0\0\0\x20\0\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\0\x2c\0\0\0\x48\0\0\0\0\0\0\0\x08\
\0\0\x02\x9a\0\0\0\x02\0\0\0\0\0\0\0\x0e\0\0\0\x88\0\0\0\x14\0\0\0\x10\0\0\x02\
\x9a\0\0\0\x02\0\0\0\0\0\0\x01\xe3\0\0\x02\x75\0\0\x70\x02\0\0\0\x88\0\0\x01\
\xe3\0\0\x02\x75\0\0\xe4\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\xbf\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\xd8\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xd8\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x02\xd8\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x02\xf8\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\xa6\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\0\xb1\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x20\0\0\0\0\0\
\0\x04\xe9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xb6\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x10\0\0\0\0\0\0\0\x68\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct verifier_value_adj_spill *verifier_value_adj_spill::open(const struct bpf_object_open_opts *opts) { return verifier_value_adj_spill__open_opts(opts); }
struct verifier_value_adj_spill *verifier_value_adj_spill::open_and_load() { return verifier_value_adj_spill__open_and_load(); }
int verifier_value_adj_spill::load(struct verifier_value_adj_spill *skel) { return verifier_value_adj_spill__load(skel); }
int verifier_value_adj_spill::attach(struct verifier_value_adj_spill *skel) { return verifier_value_adj_spill__attach(skel); }
void verifier_value_adj_spill::detach(struct verifier_value_adj_spill *skel) { verifier_value_adj_spill__detach(skel); }
void verifier_value_adj_spill::destroy(struct verifier_value_adj_spill *skel) { verifier_value_adj_spill__destroy(skel); }
const void *verifier_value_adj_spill::elf_bytes(size_t *sz) { return verifier_value_adj_spill__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_value_adj_spill__assert(struct verifier_value_adj_spill *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_VALUE_ADJ_SPILL_SKEL_H__ */
